#include "map.h"
#include <glm/vec3.hpp>

Map::Map(int nbTeams, int width, int height) :
    m_width(width),
    m_height(height),
    m_nbTeams(nbTeams)
{
    if(m_height == 0)
        m_height = m_width/2;
    m_map = new Pixel[m_width*m_height];
    if(m_nbTeams)
        m_teams = new Coord[m_nbTeams];
    else
        m_teams = NULL;
}

Map::~Map()
{
    delete m_map;
    if(m_nbTeams)
        delete m_teams;
}
